Subject: void check 1676
From: "Patty and Mike Finan" <[email-masked]>
To: "Linda Wagner" <[email-masked]>, "Katy Parcells" <[email-masked]>
Date: Fri, 22 Jul 2005 23:09:00 -0400

Hi!

I forgot - we need to void check 1676. Mike said the tables can rented to members of the Conservation Club only so I will pay the $20 from cash  box and try to get a receipt from them. This was for 4 tables rented for the curatorial class on the 20th. I had already written the check from Huron City when he told me. Sorry. The $20 will show on the take spreadsheet as a disbursement. 

Questions - please call.
Patty Finan
Huron City Museums
7995 Pioneer Drive
Port Austin MI 48467
989 738-6007